SubnetMapper V1.2.1

The Development of the 1.* Version of SubnetMapper will not be continued, as I refrain from using any more Apple products. They are limiting more and more user choices with every released version of Mac OS X, which is exactly what I hate so much in modern OSes. So I returned to the place from which I came. I am back to pure Linux and all its freedom of choices.

Of course, this means that I am porting SubnetMapper to Qt at the moment. You can participate, if you like. But even if you choose not to help, you can find the current sources at the SubnetMapper V2.* GitHub Repository. The "master" branch should always contain usable code, all new features will be developed in separate branches. Just load the project file in Qt creator and build. SubnetMapper V2.* requires Qt5 or higher.

To all Users of Mac OS X out there who are using SubnetMapper: the Qt Version will run on Macs, too, as Qt provides multiplatform compatibility...

  1. What is SubnetMapper?
  2. Are there any screenshots?
  3. What is needed to run SubnetMapper?
  4. How does it work ?
  5. Download SubnetMapper

What is SubnetMapper?

SubnetMapper is an admins quick tool to map and keep track of his managed ip networks, free ranges that are available for assigning and documenting his network setup.

It has been designed to help the admin to manage and document small to medium networks. SubnetMapper prints and displays neat little maps of your network, freely colourable, in the way some of you may remember from school or neat little cisco courses.

It currently runs solely on Mac OS X. There is no port available yet. Development in this matter is on the way, the whole program will be ported to Qt. The first release will feature beginning IPv6 Support. Here is a little screenshot to tease you:

SubnetMapper is free software, available under the GPLv2. Feel free to spread, manipulate etc., but always credit me. IF you do something to my code let me know, I would be happy to improve the official SubnetMapper Version with your help (granting you full credit of course).

What is needed to run SubnetMapper?

Any recent Version of Mac OS X should work. I developed this program with XCode on Leopard, but switched everything to the old Tiger SDK. So it should run on Tiger too. I tested it on 10.5.4 only, so I would welcome any feedback on this matter, I am fairly new to mac development...

How does it work ?

The whole program should be pretty self explanatory. I added a small help file available through the help-menu, so feel free to look up everything there. Don't expect too much from the docs. I'm an admin. I can administrate, I can code, but I simply cannot write documentation. ;)

Download SubnetMapper:

Zurück